Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchPublications.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchPublications.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchPublications.service.ts	(revision 55964)
@@ -1,15 +1,11 @@
 import {Injectable} from '@angular/core';
-import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
-
-import {SearchResult}     from '../utils/entities/searchResult';
+import {HttpClient} from "@angular/common/http";
+import {SearchResult} from '../utils/entities/searchResult';
 import {RefineResultsUtils} from './servicesUtils/refineResults.class';
 import {DOI, StringUtils} from '../utils/string-utils.class';
-import { ParsingFunctions } from '../landingPages/landing-utils/parsingFunctions.class';
-import{EnvProperties} from '../utils/properties/env-properties';
+import {ParsingFunctions} from '../landingPages/landing-utils/parsingFunctions.class';
+import {EnvProperties} from '../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 
 @Injectable()
@@ -17,7 +13,7 @@
     private sizeOfDescription: number = 270;
     public parsingFunctions: ParsingFunctions = new ParsingFunctions();
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchPublications (params: string, refineParams:string, page: number, size: number, sortBy: string, refineFields:string[] , properties:EnvProperties):any {
         let link = properties.searchAPIURLLAst+"publications";
@@ -36,9 +32,7 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    // .do(res => console.info(res))
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "publication")]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "publication")]));
     }
     searchPublicationById (id: string, properties:EnvProperties ):any {
 
@@ -45,8 +39,7 @@
         let url = properties.searchAPIURLLAst+"publications/"+id+"?format=json";
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res =>  this.parseResults(res, properties));
+                    .pipe(map(res =>  this.parseResults(res, properties)));
     }
 
     searchAggregators (id: string, params: string, refineParams:string, page: number, size: number, properties:EnvProperties ):any {
@@ -65,8 +58,8 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => this.parseRefineResults(id, res['refineResults']));
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => this.parseRefineResults(id, res['refineResults'])));
     }
 
     searchPublicationsByDois (DOIs: string[], refineParams:string, page: number, size: number, refineFields:string[], properties:EnvProperties ):any {
@@ -89,9 +82,9 @@
         url += "&page="+(page-1)+"&size="+size;
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+                    //.map(res => <any> res.json())
                     //.do(res => console.info(res))
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "publication")]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties),RefineResultsUtils.parse(res['refineResults'],refineFields, "publication")]));
     }
 
     advancedSearchPublications (params: string, page: number, size: number, sortBy: string, properties:EnvProperties ):any {
@@ -113,10 +106,9 @@
       url += "&format=json";
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-      .map(res => <any> res.json())
+      //.map(res => <any> res.json())
       //.do(res => console.info(res))
-
-      .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+      .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
     }
     searchPublicationsForEntity (params: string, page: number, size: number, properties:EnvProperties):any {
         let link = properties.searchAPIURLLAst;
@@ -126,8 +118,7 @@
 
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
     }
 
     searchPublicationsForDataproviders(params: string, page: number, size: number, properties:EnvProperties):any {
@@ -134,8 +125,7 @@
         let link = properties.searchAPIURLLAst;
         let url = link+params+ "&page="+(page-1)+"&size="+size + "&format=json";
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['meta'].total, this.parseResults(res['results'], properties)]);
+                    .pipe(map(res => [res['meta'].total, this.parseResults(res['results'], properties)]));
     }
 /*
 	searchPublicationsCSV (params: string, refineParams:string, page: number, size: number):any {
@@ -463,8 +453,8 @@
     numOfPublications(url: string, properties:EnvProperties): any {
 
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                  .map(res => <any> res.json())
-                  .map(res => res.total);
+                  //.map(res => <any> res.json())
+                  .pipe(map(res => res['total']));
     }
 
     numOfEntityPublications(id: string, entity: string, properties:EnvProperties):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/curatorPhoto.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/curatorPhoto.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/curatorPhoto.service.ts	(revision 55964)
@@ -1,8 +1,7 @@
 import {Injectable} from '@angular/core';
 import {Observable} from 'rxjs/Observable';
 import {CustomOptions} from './servicesUtils/customOptions.class';
-import {HttpClient, HttpHeaders} from '@angular/common/http';
-import {COOKIE} from '../login/utils/helper.class';
+import {HttpClient} from '@angular/common/http';
 
 @Injectable()
 export class CuratorPhotoService {
@@ -12,20 +11,11 @@
     uploadPhoto(url: string, photo: File): Observable<any> {
         const formData = new FormData();
         formData.append('photo', photo);
-        return this.http.post(url, formData, this.getAuthOptions());
+        return this.http.post(url, formData, CustomOptions.getAuthOptions());
     }
 
     deletePhoto(url: string) {
-        return this.http.delete(url, this.getAuthOptions());
+        return this.http.delete(url, CustomOptions.getAuthOptions());
     }
 
-    // TODO remove and use CustomOptions.getAuthOptions(false)
-    private getAuthOptions(): any {
-        const httpOptions = {
-            headers: new HttpHeaders({
-                'X-XSRF-TOKEN': COOKIE.getCookie(COOKIE.cookieName_id),
-            })
-        };
-        return httpOptions;
-    }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/find/search.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/find/search.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/find/search.component.ts	(revision 55964)
@@ -6,7 +6,7 @@
 import {Location}                     from '@angular/common';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {FetchPublications}            from '../../utils/fetchEntitiesClasses/fetchPublications.class';
 import {FetchDataproviders}           from  '../../utils/fetchEntitiesClasses/fetchDataproviders.class';
@@ -155,9 +155,9 @@
 
       this.config.getCommunityInformation(this.properties.adminToolsAPIURL, (this.connectCommunityId)?this.connectCommunityId:this.properties.adminToolsCommunity ).subscribe(data => {
           var showEntity = {};
-          for(var i=0; i< data.entities.length; i++){
+          for(var i=0; i< data['entities'].length; i++){
 
-            showEntity[""+data.entities[i]["pid"]+""] = data.entities[i]["isEnabled"];
+            showEntity[""+data['entities'][i]["pid"]+""] = data['entities'][i]["isEnabled"];
           }
           this.showPublications =  showEntity["publication"];
           this.showDatasets =   showEntity["dataset"];
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrps.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrps.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrps.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { Router, ActivatedRoute} from '@angular/router';
 import {Filter, Value,AdvancedField} from '../searchUtils/searchHelperClasses.class';
 import {SearchOrpsService} from '../../services/searchOrps.service';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDataProviders.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { Router, ActivatedRoute} from '@angular/router';
 import {Filter, Value,AdvancedField} from '../searchUtils/searchHelperClasses.class';
 import {SearchDataprovidersService} from '../../services/searchDataproviders.service';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchOrganizations.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { Router, ActivatedRoute} from '@angular/router';
 import {Filter, Value,AdvancedField} from '../searchUtils/searchHelperClasses.class';
 import {SearchOrganizationsService} from '../../services/searchOrganizations.service';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDatasets.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDatasets.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchDatasets.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { Router, ActivatedRoute} from '@angular/router';
 import {Filter, Value,AdvancedField} from '../searchUtils/searchHelperClasses.class';
 import {SearchDatasetsService} from '../../services/searchDatasets.service';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchProjects.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchProjects.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { Router, ActivatedRoute} from '@angular/router';
 import {Filter, Value,AdvancedField} from '../searchUtils/searchHelperClasses.class';
 import {SearchProjectsService} from '../../services/searchProjects.service';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchSoftware.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchSoftware.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchSoftware.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { Router, ActivatedRoute} from '@angular/router';
 import {Filter, Value,AdvancedField} from '../searchUtils/searchHelperClasses.class';
 import {SearchSoftwareService} from '../../services/searchSoftware.service';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchPublications.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchPublications.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/advanced/advancedSearchPublications.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { Router, ActivatedRoute} from '@angular/router';
 import {Filter, Value,AdvancedField} from '../searchUtils/searchHelperClasses.class';
 import {SearchPublicationsService} from '../../services/searchPublications.service';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/dateFilter.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/dateFilter.module.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/dateFilter.module.ts	(revision 55964)
@@ -1,11 +1,16 @@
 import { NgModule}            from '@angular/core';
 import { CommonModule }        from '@angular/common';
-import { FormsModule }         from '@angular/forms';
+import { FormsModule, ReactiveFormsModule }         from '@angular/forms';
 import { MyDatePickerModule } from '../../utils/my-date-picker/my-date-picker.module';
 import {DateFilterComponent} from './dateFilter.component';
+import {MatNativeDateModule} from '@angular/material';
+import {MatDatepickerModule} from '@angular/material/datepicker';
+import {MatFormFieldModule} from '@angular/material';
+import {MatInputModule} from '@angular/material';
 @NgModule({
   imports: [
-    CommonModule, FormsModule, MyDatePickerModule
+    CommonModule, FormsModule, ReactiveFormsModule, MyDatePickerModule,
+    MatNativeDateModule, MatDatepickerModule, MatFormFieldModule, MatInputModule
   ],
   declarations: [
     DateFilterComponent
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchForm.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchForm.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchForm.component.ts	(revision 55964)
@@ -1,12 +1,10 @@
-import {Component, Input, Output, EventEmitter, ElementRef} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
-import { Subject } from 'rxjs/Subject';
+import {Component, EventEmitter, Input, Output} from '@angular/core';
 import {ActivatedRoute} from '@angular/router';
 
-import {AdvancedField, OPERATOR} from '../searchUtils/searchHelperClasses.class';
-import {SearchFields, FieldDetails} from '../../utils/properties/searchFields';
+import {AdvancedField} from '../searchUtils/searchHelperClasses.class';
+import {SearchFields} from '../../utils/properties/searchFields';
 import {Dates} from '../../utils/string-utils.class';
-import{EnvProperties} from '../../utils/properties/env-properties';
+import {EnvProperties} from '../../utils/properties/env-properties';
 
 @Component({
     selector: 'advanced-search-form',
@@ -30,7 +28,7 @@
   fieldList:{[id:string]:any[]} = {};
   public searchFields:SearchFields = new SearchFields();
 properties:EnvProperties;
-  public operators:  {name:string, id:string}[] = this.searchFields.ADVANCED_SEARCH_OPERATORS;
+  public operators: {name:string, id:string}[] = this.searchFields.ADVANCED_SEARCH_OPERATORS;
     constructor (private route: ActivatedRoute) {
      }
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchDownload.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, Output, EventEmitter, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { ActivatedRoute} from '@angular/router';
 import {AlertModal} from '../../utils/modal/alert';
 import {ReportsService} from '../../services/reports.service';
@@ -8,7 +8,7 @@
 import{EnvProperties} from '../../utils/properties/env-properties';
 import {ErrorCodes} from '../../utils/properties/errorCodes';
 
-import 'rxjs/Rx' ;
+import 'rxjs' ;
 
 @Component({
     selector: 'search-download',
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchFilter.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchFilter.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/searchFilter.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, Output, EventEmitter} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 
 import { Filter, Value} from './searchHelperClasses.class';
 import {Open} from '../../utils/modal/open.component';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchPage.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 55964)
@@ -4,7 +4,7 @@
 import {ActivatedRoute,  Router}      from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {Filter, Value, AdvancedField} from '../searchUtils/searchHelperClasses.class';
 import {SearchResult}                 from '../../utils/entities/searchResult';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/curators/curator.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/curators/curator.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/curators/curator.service.ts	(revision 55964)
@@ -1,9 +1,9 @@
 import {Injectable} from '@angular/core';
-import {HttpClient, HttpHeaders} from '@angular/common/http';
+import {HttpClient} from '@angular/common/http';
 import {BehaviorSubject, Observable} from 'rxjs';
 import {Curator} from '../../utils/entities/CuratorInfo';
 import {EnvProperties} from '../../utils/properties/env-properties';
-import {COOKIE} from '../../login/utils/helper.class';
+import {CustomOptions} from "../../services/servicesUtils/customOptions.class";
 
 @Injectable()
 export class CuratorService {
@@ -34,7 +34,7 @@
   }
 
   public updateCurator(url: string, curator: Curator) {
-    return this.http.post<Curator>(url, curator, this.getAuthOptions());
+    return this.http.post<Curator>(url, curator, CustomOptions.getAuthOptions());
   }
 
   public getCurator(properties: EnvProperties, url: string): Observable<Curator> {
@@ -41,13 +41,4 @@
     return this.http.get<Curator>((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url);
   }
 
-  // TODO remove and use CustomOptions.getAuthOptions()
-  private getAuthOptions(): any {
-     const httpOptions = {
-      headers: new HttpHeaders({
-        'X-XSRF-TOKEN': COOKIE.getCookie(COOKIE.cookieName_id),
-      }), withCredentials: true
-    };
-    return httpOptions;
-  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectAdminLoginGuard.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectAdminLoginGuard.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectAdminLoginGuard.guard.ts	(revision 55964)
@@ -1,3 +1,5 @@
+
+import {map, filter, mergeMap} from 'rxjs/operators';
 import { Injectable } from '@angular/core';
 import {
   Router,
@@ -4,9 +6,9 @@
   CanActivate,
   ActivatedRouteSnapshot,
   RouterStateSnapshot,
-  CanLoad, Route
+  CanLoad, Route, UrlSegment
 } from '@angular/router';
-import {Observable} from 'rxjs/Observable';
+import {Observable} from 'rxjs';
 import {Session} from '../../login/utils/helper.class';
 import {LoginErrorCodes} from '../../login/utils/guardHelper.class';
 import {CommunityService} from '../community/community.service';
@@ -25,10 +27,10 @@
       if (Session.isPortalAdministrator() || Session.isCommunityCurator()) {
         return true;
       } else {
-        const obs = this.propertiesService.subscribeEnvironment().map(res => res).mergeMap(properties => {
+        const obs = this.propertiesService.subscribeEnvironment().pipe(map(res => res),mergeMap(properties => {
           return this.communityService.isCommunityManager(properties, properties['communityAPI'] + community, Session.getUserEmail());
-        });
-        obs.filter(enabled => !enabled)
+        }),);
+        obs.pipe(filter(enabled => !enabled))
             .subscribe(() => this.router.navigate(['/user-info'], {
               queryParams: {
                 'errorCode': errorCode,
@@ -49,7 +51,7 @@
     return this.check(route.queryParams['communityId'], state.url);
   }
 
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
+  canLoad(route: Route, segments: UrlSegment[]): Observable<boolean> | Promise<boolean> | boolean {
     const path = '/' + route.path + document.location.search;
     return this.check(ConnectHelper.getCommunityFromPath(path), path);
   }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectRIGuard.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectRIGuard.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communityGuard/connectRIGuard.guard.ts	(revision 55964)
@@ -1,3 +1,5 @@
+
+import {filter, mergeMap} from 'rxjs/operators';
 import { Injectable } from '@angular/core';
 import {
   Router,
@@ -5,9 +7,9 @@
   ActivatedRouteSnapshot,
   RouterStateSnapshot,
   CanLoad,
-  Route
+  Route, UrlSegment
 } from '@angular/router';
-import {Observable} from 'rxjs/Observable';
+import {Observable} from 'rxjs';
 import {CommunityService} from '../community/community.service';
 import { EnvironmentSpecificService} from '../../utils/properties/environment-specific.service';
 import {ConnectHelper} from '../connectHelper';
@@ -21,10 +23,10 @@
   }
 
   check(community: string): Observable<boolean> | boolean {
-    const obs = this.propertiesService.subscribeEnvironment().mergeMap(properties => {
+    const obs = this.propertiesService.subscribeEnvironment().pipe(mergeMap(properties => {
       return this.communityService.isRIType(properties, properties['communityAPI'] + community);
-    });
-    obs.filter(enabled => !enabled)
+    }));
+    obs.pipe(filter(enabled => !enabled))
         .subscribe(() => this.router.navigate(['errorcommunity']));
     return obs;
   }
@@ -33,7 +35,7 @@
     return this.check(route.queryParams['communityId']);
   }
 
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
+  canLoad(route: Route, segments: UrlSegment[]): Observable<boolean> | Promise<boolean> | boolean {
     const path = '/' + route.path + document.location.search;
     return this.check(ConnectHelper.getCommunityFromPath(path));
   }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/zenodoCommunities/searchZenodoCommunities.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/zenodoCommunities/searchZenodoCommunities.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/zenodoCommunities/searchZenodoCommunities.service.ts	(revision 55964)
@@ -1,15 +1,16 @@
 import {Injectable} from '@angular/core';
 import {Http} from '@angular/http';
+import {HttpClient} from "@angular/common/http";
 import{EnvProperties} from '../../utils/properties/env-properties';
 
 @Injectable()
 export class SearchZenodoCommunitiesService {
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchZCommunities (properties:EnvProperties, communityId: string):any {
         let url = properties.communityAPI+communityId+"/zenodocommunities";
 
-        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url);
+                    //.map(res => <any> res.json())
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/projects/searchProjects.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/projects/searchProjects.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/projects/searchProjects.service.ts	(revision 55964)
@@ -1,15 +1,16 @@
 import {Injectable} from '@angular/core';
 import {Http} from '@angular/http';
+import {HttpClient} from "@angular/common/http";
 import{EnvProperties} from '../../utils/properties/env-properties';
 
 @Injectable()
 export class SearchCommunityProjectsService {
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchProjects (properties:EnvProperties, communityId: string):any {
         let url = properties.communityAPI+communityId+"/projects";
 
-        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
+        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url);
+                    //.map(res => <any> res.json())
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/userEmailPreferences/mailPrefs.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/userEmailPreferences/mailPrefs.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/userEmailPreferences/mailPrefs.component.ts	(revision 55964)
@@ -1,6 +1,6 @@
 import {Component, ViewChild, Input} from '@angular/core';
 import {Location} from '@angular/common';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import {ActivatedRoute, Router} from '@angular/router';
 import {ModalLoading} from '../../utils/modal/loading.component';
 import {AlertModal} from '../../utils/modal/alert';
